# Genie List Conversation Comments

Launch stage: Public Preview

`GET /api/2.0/genie/spaces/{space_id}/conversations/{conversation_id}/list-comments`

List all comments across all messages in a conversation.

API scopes: genie

## Path parameters

- `space_id` (string, optional)
  The ID associated with the Genie space.
  Example: `e1ef34712a29169db030324fd0e1df5f`
- `conversation_id` (string, optional)
  The ID associated with the conversation.
  Example: `e1ef34712a29169db030324fd0e1df5f`

## Query parameters

- `page_size` (int32, optional)
  Maximum number of comments to return per page.
  Default: `20`
  Constraints: `<= 100`
- `page_token` (string, optional)
  Pagination token for getting the next page of results.

## Returns

- `comments` (array of object, optional)
  List of comments in the conversation.
  - `space_id` (string, optional)
    Genie space ID
    Example: `e1ef34712a29169db030324fd0e1df5f`
  - `conversation_id` (string, optional)
    Conversation ID
    Example: `e1ef34712a29169db030324fd0e1df5f`
  - `message_id` (string, optional)
    Message ID
    Example: `e1ef34712a29169db030324fd0e1df5f`
  - `message_comment_id` (string, optional)
    Comment ID
    Example: `e1ef34712a29169db030324fd0e1df5f`
  - `user_id` (int64, optional)
    ID of the user who created the comment
  - `content` (string, optional)
    Comment text content
    Example: `This query result looks correct.`
    Constraints: `<= 5000 characters`
  - `created_timestamp` (int64, optional)
    Timestamp when the comment was created
- `next_page_token` (string, optional)
  Token to get the next page of results.

## Response

```json
{
  "comments": [
    {
      "space_id": "e1ef34712a29169db030324fd0e1df5f",
      "conversation_id": "e1ef34712a29169db030324fd0e1df5f",
      "message_id": "e1ef34712a29169db030324fd0e1df5f",
      "message_comment_id": "e1ef34712a29169db030324fd0e1df5f",
      "user_id": 0,
      "content": "This query result looks correct.",
      "created_timestamp": 0
    }
  ],
  "next_page_token": "string"
}
```

